com.ibm.openpages.api.respview

## Enum RespViewActionType

- java.lang.Object
- - java.lang.Enum<RespViewActionType>
  - - com.ibm.openpages.api.respview.RespViewActionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RespViewActionType>

      public enum RespViewActionType
      extends java.lang.Enum<RespViewActionType>

  Represents the type of responsive view action

  Since:
    8.0.0.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `addNew` Represents Objects AddNew Action Type
    `associate` Represents Objects Associate Action Type
    `associatePrimary` Represents Primary Parent Associate Action Type
    `copyRecursive` Represents Copy Recursive Action Type
    `delete` Represents Objects Delete Action Type
    `suggestAssociations` Represents an IBM Watson classifier integration

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RespViewActionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RespViewActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### associate

          public static final RespViewActionType associate

      Represents Objects Associate Action Type

    - #### associatePrimary

          public static final RespViewActionType associatePrimary

      Represents Primary Parent Associate Action Type

    - #### delete

          public static final RespViewActionType delete

      Represents Objects Delete Action Type

    - #### addNew

          public static final RespViewActionType addNew

      Represents Objects AddNew Action Type

    - #### copyRecursive

          public static final RespViewActionType copyRecursive

      Represents Copy Recursive Action Type

    - #### suggestAssociations

          public static final RespViewActionType suggestAssociations

      Represents an IBM Watson classifier integration

  - ### Method Detail

    - #### values

          public static RespViewActionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RespViewActionType c : RespViewActionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RespViewActionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.